<?php get_header(); ?>

<div id="blog">

<?php require_once (TEMPLATEPATH . '/navigation.php'); ?>

	<div id="main">
	
			<?php if (have_posts()) : ?>
			
				<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
				
				<?php if (is_category()) { ?>				
				<h2 class="pagetitle">Archives for the '<?php echo single_cat_title(); ?>' Category</h2>
				
				<?php } elseif (is_day()) { ?>
				<h2 class="pagetitle">Archives for <?php the_time('F jS, Y'); ?></h2>
				
				<?php } elseif (is_month()) { ?>
				<h2 class="pagetitle">Archives for <?php the_time('F, Y'); ?></h2>
				
				<?php } elseif (is_year()) { ?>
				<h2 class="pagetitle">Archives for <?php the_time('Y'); ?></h2>
				
				<?php } elseif (is_search()) { ?>
				<h2 class="pagetitle">Search Results</h2>
				
				<?php } elseif (is_author()) { ?>
				<h2 class="pagetitle">Author Archives</h2>
				
				<?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2 class="pagetitle">Blog Archives</h2>
				
				<?php } ?>
				
				<?php while (have_posts()) : the_post(); ?>
						<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
						<h3><?php the_time('l, F jS, Y') ?></h3>
						<?php the_excerpt() ?>
						<p class="meta">
						<span class="tags"><?php the_category(', ') ?></span> |
						<span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
						</p>		
				<?php endwhile; ?>
				
					<ul class="postnav">
						<li class="left"><?php next_posts_link('Earlier Posts') ?></li>
						<li class="right"><?php previous_posts_link('Later Posts') ?></li>
					</ul>
				
			<?php else : ?>
				
				<h2 class="center">Not Found</h2>
				<?php include_once (TEMPLATEPATH . '/searchform.php'); ?>
				
			<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
