<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				<p>This post is password protected. Enter the password to view comments.</p>
				<?php
				return;
            }
        }
		$oddcomment = 'alt'; // This variable is for alternating comment background
?>

<!-- You can start editing here. -->
<div id="comments">
	<?php if ($comments) : ?>
		<h2><?php comments_number('No Responses', 'One Response', '% Responses' );?> to &#8220;<?php the_title(); ?>&#8221;</h2> 
		<div class="comment_area">
			<ol>
			<?php foreach ($comments as $comment) : ?>
				<li>
					<p class="commenter"><span class="comment_number"><?php printf("%01d", ++$commentNr);?></span><?php comment_author_link() ?><br /><span class="comment_info"><?php comment_date('F jS, Y') ?> @ <?php comment_time() ?></span></p>
					<?php if ($comment->comment_approved == '0') : ?>
						<em>Your comment is awaiting moderation.</em>
					<?php endif; ?>
					<?php comment_text() ?>
				</li>
			<?php endforeach; /* end for each comment */ ?>
			</ol>
		</div>
		<?php if ('closed' == $post->comment_status) : // If comments are closed, but comments exist ?>
			<h2>Comments are closed.</h2>
			</div>
		<?php endif; ?>
	<?php else : // this is displayed if there are no comments so far ?>
		<?php if ('open' == $post->comment_status) :  // If comments are open, but there are no comments ?> 
		<?php else : // comments are closed ?>
			<h2>Comments are closed.</h2>
		</div>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ('open' == $post->comment_status) : ?>
		<div class="comment_area">
			<h2>Leave a Reply</h2>
			<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
			<small>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.<br /><br /></small>
		</div>
	<?php else : ?>
		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
			<ol>
			<?php if ( $user_ID ) : ?>
				<li><small>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout &raquo;</a></small></li>
			<?php else : ?>
				<li><input type="text" class="textfield" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />&nbsp;<label for="author"><small>Name <?php if ($req) echo "(required)"; ?></small></label></li>
				<li><input type="text" class="textfield" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />&nbsp;<label for="email"><small>Mail (will not be published) <?php if ($req) echo "(required)"; ?></small></label></li>
				<li><input type="text" class="textfield" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />&nbsp;<label for="url"><small>Website</small></label></li>
			<?php endif; ?>
				<!-- <li class="lh100"><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small></li> -->
				<li><textarea name="comment" id="comment" cols="20" rows="10" tabindex="4"></textarea></li>
				<li>
					<input name="submit" class="button" type="submit" id="submit" tabindex="5" value="Submit Comment" />
					<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
				</li>
			<?php do_action('comment_form', $post->ID); ?>
			</ol>
			<small>You can keep track of new comments to this post with the <?php comments_rss_link('comments feed'); ?>.</small>
		</form>
	</div>
	<?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>
