<?php get_header(); ?>

<div id="blog">

<?php require_once (TEMPLATEPATH . '/navigation.php'); ?>

	<div id="main">
	
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<h2><?php the_title(); ?></h2>
			<h3><?php the_time('F jS, Y') ?></h3>
			
			<?php the_content('<p>Read the rest of this entry &raquo;</p>'); ?>
			<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
			
			<p class="meta">
				<span class="tags"><?php the_category(', ') ?></span> |
				<span class="comments"><a href="<?php comments_link(); ?>" title="Read the comments to this post">Comments</a></span>
				<?php 
				if ('open' == $post->ping_status) :
				?>
				| <span class="trackback"><a href="<?php trackback_url(true); ?>" rel="trackback">Trackback</a></span>	
				<?php
				endif;
				if (function_exists('dbt_the_LinkTag')):
				?>
				| <span class="delicious"><?php dbt_the_LinkTag("del.icio.us"); ?></span>
				<?php 
				endif;
				edit_post_link(' Edit','|',''); 
				?>
			</p>

			<ul class="postnav">
				<li class="left"><?php next_posts_link('&laquo; Earlier Posts') ?>&nbsp;</li>
				<li class="right">&nbsp;<?php previous_posts_link('Later Posts &raquo;') ?></li>
			</ul>

		<?php comments_template(); ?>
	
	<?php endwhile; else: ?>
	<p>Sorry, no posts matched your criteria.</p>
	<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
