<?php get_header(); ?>

<div id="blog">

<?php require_once (TEMPLATEPATH . '/navigation.php'); ?>

	<div id="main">
	
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
			
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<h3><?php the_time('F jS, Y') ?></h3>
				
				<?php the_content('Continue reading this entry &raquo;'); ?>
				
				<p class="meta">
					<span class="tags"><?php the_category(', ') ?></span> | 
					<span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
					<?php
					if ('open' == $post->ping_status) :
					?>
					| <span class="trackback"><a href="<?php trackback_url(true); ?>" rel="trackback">Trackback</a></span>	
					<?php
					endif; ?>
					<?php edit_post_link(' Edit','|',''); ?>
				</p>
			
			<?php endwhile; ?>
			
			<ul class="postnav">
				<li class="left"><?php next_posts_link('&laquo; Earlier Posts') ?>&nbsp;</li>
				<li class="right">&nbsp;<?php previous_posts_link('Later Posts &raquo;') ?></li>
			</ul>
			
		<?php else : ?>
			<h2>Not Found</h2>
			<p>Sorry, but you are looking for something that just isn't here.</p>
			<?php include_once (TEMPLATEPATH . "/searchform.php"); ?>
		<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
