<?php get_header(); ?>

<div id="blog">

<?php require_once (TEMPLATEPATH . '/navigation.php'); ?>

	<div id="main">
	
	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>

		<?php while (have_posts()) : the_post(); ?>
		<div class="entry">
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<h3><?php the_time('l, F jS, Y') ?></h3>
				<?php the_excerpt() ?>
				<p class="meta">
				<span class="tags"><?php the_category(', ') ?></span> |
				<span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
				</p>		
		</div>	
	
		<?php endwhile; ?>

			<ul class="postnav">
				<li class="left"><?php next_posts_link('&laquo; Earlier Posts') ?>&nbsp;</li>
				<li class="right">&nbsp;<?php previous_posts_link('Later Posts &raquo;') ?></li>
			</ul>
	
	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<?php include_once (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
